function Xa(){}
function FJ(){try{if(typeof ActiveXObject!="undefined"){return new ActiveXObject("Microsoft.XMLHTTP")}else if(window.XMLHttpRequest){return new XMLHttpRequest}}catch(a){}return null}
function downloadUrl(a,b,c,d){var e=FJ();if(!e)return false;if(b){e.onreadystatechange=function(){if(e.readyState==4){var g=-1,h=null;try{g=e.status;h=e.responseText}catch(i){}b(h,g);e.onreadystatechange=Xa}}}if(c){e.open("POST",
a,true);var f=d;if(!f){f="application/x-www-form-urlencoded"}e.setRequestHeader("Content-Type",f);e.send(c)}else{e.open("GET",a,true);e.send(null)}return true}

/// from goooogle

function keepConnection() {
  
  downloadUrl("connectionkeeper.php",function(content, responseCode)
   {  
      // document.getElementById('connectionKeeperDiv').innerHTML=content;
      setTimeout('keepConnection()', 20000);
   });
}

